<script setup lang="ts">
defineProps({
  imgSrc: { type: String, required: true, default: '' },
  title: { type: String, required: true, default: '' },
  text: { type: String, required: false, default: '' },
});
const emit = defineEmits(['next-step']);
const nextStep = () => {
  emit('next-step');
};
</script>
<template>
  <div class="step fr-col fr-pb-2w fr-pt-2w anct-text-center anct-box-shadow" @click="nextStep">
    <div class="step__img fr-pt-4w fr-pb-5w">
      <img :src="imgSrc" alt="" />
    </div>
    <div class="">
      <div class="step__title fr-h6 fr-pb-3v">
        {{ title }}
      </div>
      <!-- eslint-disable-next-line vue/no-v-html-->
      <div class="step__text fr-pb-2w fr-text--sm" v-html="text"></div>
    </div>
  </div>
</template>
<style lang="scss">
.step {
  max-height: 488px;
  max-width: 384px;
  background-color: white;
  &:hover {
    background-color: #f4f4f4;
  }
  .step__title {
    width: 260px;
    margin: auto;
  }
}

@media screen and (max-width: 999px) {
  .step {
    width: 100%;
    .step__img {
      display: none;
    }
  }
}
</style>
